#{extends 'border.html'/}
<div class="container">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{prakatalog.PenawaranCtr.index()}">&{'daftar_penawaran.label'}</a></li>
                <li class="active">&{'daftar_produk.label'}</li>
            </ol>
            <!-- End Breadcrumb -->

            #{alert /}
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@prakatalog.PenawaranCtr.index()/}
                #{if beforeNegotiationEnd && isMenungguVerifikasiOrLolosVerifikasiOrNegosiasi}
                    <a href="@{katalog.ProdukCtr.create(id)}" class="btn btn-primary btn-sm"><i
                            class="fa fa-plus"></i> &{'tambah.label'} &{'produk.label'}</a>
                #{/if}
            </div>
            <div class="panel panel-default">
                <div class="panel-heading">&{'daftar_penawaran_produk.label'}</div>
                <div class="panel-body" style="overflow-x: auto">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblProduk">
                        <thead>
                        <tr>
                            <th>&{'nomor.label'}</th>
                            <th>&{'produk.label'}</th>
                            <th>&{'nomor_produk_penyedia.label'}</th>
                            <th>&{'jenis_produk.label'}</th>
                            <th>&{'jumlah.label'} &{'stok_produk.label'}</th>
                            <th>&{'jumlah.label'} &{'stok_inden.label'}</th>
                            <th>&{'status.label'}</th>
                            <th>#{if ableToCreateAndEdit && beforeNegotiationEnd}&{'aksi.label'}#{/if}</th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>

    <!-- Modal informasi status produk-->
    <div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="myModalLabel">&{'persetujuan_tayang.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="image-display">
                            *{<img src="/public/images/image-not-found.png" class="img img-responsive">}*
                                <img id="url_image" class="img img-responsive"
                                     onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                            </div>
                        </div>
                        <p><span id="kategori"></span></p>
                        <p><span class="badge" style="background-color: #b51930" id="no_produk"></span></p>
                        <p><span class="badge" style="background-color: #b51930" id="nama_produk"></span></p>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            <p><h4><b>&{'permintaan_persetujuan_tayang.label'}</b></h4></p>
                        </div>
                        <div class="col-md-6">
                            <p><h4><b>&{'keputusan_permintaan.label'}</b></h4></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <label class="col-md-4"
                                       style="background-color: #F2E2E2; border-color: #EAD0D0">&{'oleh.label'}</label>
                                <div id="oleh_permintaan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4"
                                       style="background-color: #F2E2E2; border-color: #EAD0D0">&{'tanggal.label'}</label>
                                <div id="tgl_permintaan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4"
                                       style="background-color: #F2E2E2; border-color: #EAD0D0">&{'alasan_permintaan.label'}</label>
                                <div id="alasan_permintaan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row">
                                <label class="col-md-4"
                                       style="background-color: #F2E2E2; border-color: #EAD0D0">&{'keputusan.label'}</label>
                                <div id="hasil_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4"
                                       style="background-color: #F2E2E2; border-color: #EAD0D0">&{'oleh.label'}</label>
                                <div id="oleh_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4"
                                       style="background-color: #F2E2E2; border-color: #EAD0D0">&{'tanggal.label'}</label>
                                <div id="tgl_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                            <div class="row">
                                <label class="col-md-4"
                                       style="background-color: #F2E2E2; border-color: #EAD0D0">&{'alasan.label'}</label>
                                <div id="alasan_keputusan" class="col-md-8" style="font-weight: bold"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                            class="fa fa-close"></i> &{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">

    var penawaran_id = "${id}";

    $("#tblProduk").dataTable({
        ajax: {
            url:'@{DataTableCtr.cariProdukPenawaran()}',
            data:{"penawaran_id": penawaran_id},
            cache: true},
        order: [[ 1, "asc" ], [ 1, "asc" ]],
        columns: [
            {
                "searchable": false,
                "className": "header-center",
                render: function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            },
            {"searchable": true},
            {"searchable": true,"className": "header-center"},
            {"searchable": true,"className": "header-center"},
            {"searchable": true,"className": "header-center"},
            {"searchable": true,"className": "header-center"},
            {"searchable": true,"className": "header-center"},
            {"searchable": false,"className": "header-center" }
        ]
    });

    $("body").on("click", "#info_produk", function () {
        var this_val = $(this).val();
        showInfo(this_val);
    });

    function showInfo(prodId) {
        $.ajax({
            url: '@{katalog.ProdukCtr.infoSetujuTayang()}',
            data: {"prodId": prodId},
            type: 'POST',
            success: function (data) {
                $("#viewModal").modal();
                $("#kategori").empty().append(data.kategori);
                $("#url_image").empty().attr("src", data.url_image);
                $("#no_produk").empty().append(data.no_produk);
                $("#nama_produk").empty().append(data.nama_produk);
                $("#oleh_permintaan").empty().append(data.oleh_permintaan);
                $("#tgl_permintaan").empty().append(data.tgl_permintaan);
                $("#alasan_permintaan").empty().append(data.alasan_permintaan);
                $("#hasil_keputusan").empty().append(data.hasil_keputusan);
                $("#oleh_keputusan").empty().append(data.oleh_keputusan);
                $("#tgl_keputusan").empty().append(data.tgl_keputusan);
                $("#alasan_keputusan").empty().append(data.alasan_keputusan);

                //ketentuan tayang

            }
        });
    }
</script>
#{/set}
